Bug 476851 - [ 976930 ] Monitoring failure on Satellite with external db (where db name != db instance name)
[ 976930 ] Monitoring failure on Satellite with external db (where db name !=...
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Installation (Show other bugs)
0.4
All Linux
high Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Red Hat Satellite QA List
:
Depends On:
Blocks: space07
  Show dependency treegraph
 
Reported: 2008-12-17 09:45 EST by Miroslav Suchý
Modified: 2009-12-07 07:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-07 07:02:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2008-12-17 09:45:49 EST
+++ This bug was initially created as a clone of Bug #226915 +++

Escalated to Bugzilla from IssueTracker

--- Additional comment from tao@redhat.com on 2007-02-01 19:33:40 EDT ---

Customer is running 4.1 satellite and I believe enountered this bug (or a similar bug):
https:// bugzilla.redhat.com/bugzilla/show_bug.cgi?id=155563

They are using an external database and after installation, their DB name and password were swapped only in thier cluster.ini file.  

After correcting the swapped username/password the error still persists.  I've had the customer try to run the enable monitoring script from the rhn-upgrade package, but this didn't help.  

I've attached a satellite-debug, a sysreport, the output from starting monitoring, as well as the latest monitoring logs.
Comment 1 Miroslav Suchý 2008-12-17 09:46:41 EST
Commited as 1cc24e3f4081c37f5625279b02ab4c902436e3c2
Comment 2 Jesus M. Rodriguez 2009-04-14 10:12:06 EDT
Spacewalk 0.5 released.
Comment 3 Miroslav Suchý 2009-09-07 10:38:35 EDT
This problem happen to not be fixed.
Java code rewrite the value set by installer.
Comment 4 Miroslav Suchý 2009-09-17 03:42:07 EDT
Fixed in spacewalk git in commits:
cdc3143c33c4e01efc130ab19afe1ce50a6d1ab4
1a152882131be0c0dc87c918bb178b628ffd1215
0535a5c5c38ab6a3a6bbcc8790f1775ec0d9f32a
Comment 5 Miroslav Suchý 2009-10-01 11:48:22 EDT
commit 372587c40d5935948aa3632ddd0beec068244ee2 as well
Comment 6 Milan Zázrivec 2009-11-30 09:56:10 EST
Drop unneeded synonyms during schema upgrade.
spacewalk.git master: cf64dd8d756aa1797618eb6f2c7cd8dade60d96f
Comment 7 Miroslav Suchý 2009-12-07 07:02:38 EST
Spacewalk 0.7 released.

Note You need to log in before you can comment on or make changes to this bug.